from decimal import Decimal
import argparse

if __name__ == "__main__":
  parser = argparse.ArgumentParser(
		  description="Generate dt values that cover decimal values around dtc "
		  "from n to m digits after decimal point")
  parser.add_argument('dtc')
  parser.add_argument('min_perc', type=int)
  args = parser.parse_args()

  dtc = Decimal(args.dtc)
  perc = args.min_perc+1
  if len(args.dtc) < perc + 1:
    raise RuntimeError("not enough digits in argument dtc. Check your config or add trailing zeros.")
  base = (dtc//Decimal(10)**-(perc-1))*Decimal(10)**-(perc-1)
  print(base)
