import enum

class StaticModel(enum.Enum):
  erdos = "erdos"
  regular = "regular"
  nsi_regular = "nsi_regular"
  barabasi = "barabasi"
  heavytail_225 = "heavytail_2.25"
  heavytail_250 = "heavytail_2.50"
  heavytail_300 = "heavytail_3.00"
  heavytail_400 = "heavytail_4.00"
  grid_1 = "grid_1"
  grid_2 = "grid_2"
  grid_3 = "grid_3"
  grid_4 = "grid_4"

  @classmethod
  def heavytails(cls):
    return [cls.heavytail_225, cls.heavytail_250,
            cls.heavytail_300, cls.heavytail_400]

  @classmethod
  def grids(cls):
    return [cls.grid_1, cls.grid_2]

class TemporalModel(enum.Enum):
  poisson = "poisson"
  bursty_205 = "bursty_2.05"
  bursty_220 = "bursty_2.2"
  bursty_280 = "bursty_2.8"
  bursty_520 = "bursty_5.2"
  self_exciting_08_02_05 = "self-exciting_0.8_0.2_0.5"
  self_exciting_05_05_05 = "self-exciting_0.5_0.5_0.5"
  self_exciting_02_08_05 = "self-exciting_0.2_0.8_0.5"
  self_exciting_08_02_10 = "self-exciting_0.8_0.2_1.0"
  self_exciting_05_05_10 = "self-exciting_0.5_0.5_1.0"
  self_exciting_02_08_10 = "self-exciting_0.2_0.8_1.0"

  @classmethod
  def bursties(cls):
    return [cls.bursty_205, cls.bursty_220,
            cls.bursty_280, cls.bursty_520]

  @classmethod
  def self_excitings(cls):
    return [cls.self_exciting_08_02_05,
            cls.self_exciting_05_05_05,
            cls.self_exciting_02_08_05,
            cls.self_exciting_08_02_10,
            cls.self_exciting_05_05_10,
            cls.self_exciting_02_08_10]

class ProbDist(enum.Enum):
  deterministic = "deterministic"
  exponential = "exponential"
