import sys
import os
import random

if __name__ == "__main__":
  if len(sys.argv) == 4:
    seed = int(sys.argv[1])
    with open(sys.argv[2]) as f:
      min_t = float('inf')
      max_t = -float('inf')
      for l in f:
        t = float(l.split()[2])
        min_t = min(t, min_t)
        max_t = max(t, max_t)


      lifetime = max_t - min_t
      if lifetime < 0:
        raise "no events in ``" + sys.argv[1] + "''"

      random.seed(seed, version=2)
      start_time = random.randrange(int(min_t), int(max_t) - lifetime//2)
      end_time = int(start_time + lifetime//2)

      f.seek(0)

      output_filename = os.path.join(sys.argv[3], f"slice-{seed}-{start_time}-{end_time}.events")

      with open(output_filename, 'w') as o:
        for l in f:
          t = float(l.split()[2])
          if t >= start_time and t < end_time:
            o.write(l)
  else:
    raise RuntimeError("USAGE: python network_slicer.py seed net.events out_dir/")
