import argparse

import numpy as np
import networkx as nx

if __name__ == "__main__":
  parser = argparse.ArgumentParser(
      description='generates random regular based temporal network.')
  parser.add_argument('--seed', required=True, type=int)
  parser.add_argument('--nodes', required=True, type=int)
  parser.add_argument('--average-degree', required=True, type=int)

  args = parser.parse_args()

  state = np.random.default_rng(args.seed)

  net = nx.random_regular_graph(args.average_degree, args.nodes,
      seed=int(state.integers(2**32 - 1)))

  for i, j in net.edges():
    print(i, j)
