#!/bin/bash
#SBATCH --cpus-per-task 128
#SBATCH --ntasks-per-node 1
#SBATCH --nodes 1
#SBATCH --account=project_2003348
#SBATCH --time=1:00:00
#SBATCH --job-name single_air
#SBATCH -o /dev/null
#SBATCH -e /dev/null

set -ex


tmpdir=$(mktemp -d --tmpdir=/dev/shm)
prefix=networks/air;

mkdir -p $tmpdir
mkdir -p $prefix

parallel -j $SLURM_CPUS_PER_TASK --trim lr --colsep ',' --header : --shuf \
  ./transport_single \
  --network $prefix/air.events \
  --dt {dt} --seed 1 --time-bins 48 --time-bins-min 4 \
  --summary /dev/stdout \
  :::: air_queue_dts.tsv \
  > $tmpdir/single.jsonl;

mv $tmpdir/*.jsonl $prefix/
rm -rf $tmpir
