mkdir -p networks/random_large_networks/param-fit/
export partitions=64

parallel -j 1 --header : -v --colsep ',' -q \
  sbatch --time=4:00:00 --ntasks=${partitions} --ntasks-per-node 1 --partition=large \
    --cpus-per-task=256 --hint=multithread --job-name=params-{static}-{temporal} \
    --account=project_2003348 -e /dev/null -o /dev/null \
    --export=ALL,static={static},temporal={temporal} \
    --wrap='srun bash scripts/params-template.sh' \
  ::: static grid_1 grid_2 grid_3 grid_4 regular erdos ::: temporal poisson
